/**
  ******************************************************************************
  * file    main.c
  * author  Bogdan Kolbov (kolbov@niiet.ru)
  * version V1.0.0
  * date    08.10.2015
  * brief   Simple flashing led project. Led is on H[7].
  ******************************************************************************
  */ 

/* Includes ------------------------------------------------------------------*/
#include "K1921VK01T.h"

/* Exported functions --------------------------------------------------------*/  
/* Private types -------------------------------------------------------------*/
/* Private constants ---------------------------------------------------------*/
#define LED_PIN       (1<<7)

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

int main()
{
    NT_GPIOH->OUTENSET=LED_PIN;                 //pin output mode
    NT_COMMON_REG->GPIODEN3_bit.PORTH|=LED_PIN; //output enable
    SysTick_Config(0xF00F00);                   //cmsis systick configure function
    __enable_irq();

    while(1);
    return 0;
}

void SysTick_Handler()
{
    NT_GPIOH->DATAOUT^=LED_PIN;
}
